libstdc++

Public Types | Public Member Functions | List of all members
std::__detail::_Rehash_base< _Key, _Value, _Alloc, _ExtractKey, _Equal, _H1, _H2, _Hash, _Prime_rehash_policy, _Traits > Struct Template Reference
Base and Implementation Classes

## Public Types

using | __hashtable = _Hashtable< _Key, _Value, _Alloc, _ExtractKey, _Equal, _H1, _H2, _Hash, _Prime_rehash_policy, _Traits >

## Public Member Functions

float | max_load_factor () const noexcept
void | max_load_factor (float __z)
void | reserve (std::size_t __n)

## Detailed Description

### template<typename _Key, typename _Value, typename _Alloc, typename _ExtractKey, typename _Equal, typename _H1, typename _H2, typename _Hash, typename _Traits>
struct std::__detail::_Rehash_base< _Key, _Value, _Alloc, _ExtractKey, _Equal, _H1, _H2, _Hash, _Prime_rehash_policy, _Traits >

Specialization.

Definition at line 794 of file hashtable_policy.h.

The documentation for this struct was generated from the following file:

- hashtable_policy.h